<% if current_user.digital_ocean_missing? %>
	Gamocosm is an <%= link_to 'open source project', source_path %> to help players host cloud Minecraft servers, but Gamocosm doesn't host the servers ourselves.
	Create an account on <%= render_digital_ocean_referral_link('%s (%s)', 'Digital Ocean', digital_ocean_index_path, digital_ocean_index_no_ref_path) %>, a server host, and enter your API token in your <%= link_to 'settings', edit_user_registration_path %>.
	<strong>If you are not a server admin, you can ignore this.</strong>
	Read more about it <%= link_to 'here', digital_ocean_setup_path %>.
<% else %>
	<%= simple_form_for @server, url: new_server_path do |f| %>
		<%= f.input :name, input_html: { size: 32 }, required: true %>
		<%= f.input :remote_size_slug, collection: @do_sizes.collect { |x| [x.descriptor, x.slug] }, as: :select, include_blank: true, label: 'Size' %>
		<%= f.input :remote_region_slug, collection: @do_regions.collect { |x| [x.name, x.slug] }, as: :select, include_blank: true, label: "Region (#{link_to('higher tier better', 'https://en.wikipedia.org/wiki/Data_center#Data_center_tiers')})".html_safe %>
		<%= f.simple_fields_for :minecraft do |s_f| %>
			<%= s_f.input :flavour, collection: Gamocosm::MINECRAFT_FLAVOURS.collect { |k, v| [v[:name], k] }, as: :select, include_blank: true, label: 'Minecraft flavour', required: true %>
		<% end %>
		<div>
			<%= render partial: 'flavour', collection: Gamocosm::MINECRAFT_FLAVOURS.map { |k, v| [k, v] } %>
		</div>
		<p class="help-block">
			Have you tried <%= link_to 'Cuberite', cuberite_website_path %>, the performant C++ Minecraft server?
			You can always change your server/setup yourself.
			<%= link_to 'Read more', wiki_minecraft_versions_path %>
		</p>
		<br />
		<%= link_to 'Digital Ocean pricing page', digital_ocean_pricing_no_ref_path %>
		<button class="btn btn-default pull-right" type="submit">
			Next <i class="fa fa-chevron-right"></i>
		</button>
	<% end %>
<% end %>
